/*
 * cbd.h
 * kirk johnson
 * january 1993
 *
 * RCS $Id: cbd.h,v 1.3 1994/05/13 20:32:32 tuna Exp $
 *
 * Copyright 1993 by Kirk Lauritz Johnson (see the included
 * file "kljcpyrt.h" for complete copyright information)
 */

#include "kljcpyrt.h"

#ifndef _CBD_H_
#define _CBD_H_

typedef struct
{
  int   addr;			/* absolute addr of seg */
  short rank;			/* segment rank         */
  short size;			/* # of points in seg   */
} CBD_SEG;

typedef struct
{
  FILE    *s;			/* file                   */
  int      nsegs;		/* # of segments          */
  CBD_SEG *dict;		/* th' segment dictionary */
} CBD_FILE;

typedef struct
{
  int lon;			/* longitude (degrees x 3600) */
  int lat;			/* latitude  (degrees x 3600) */
} CBD_POS;

extern CBD_FILE *cbd_open_file();
extern void      cbd_close_file();
extern CBD_POS  *cbd_extract_segment();
extern void      cbd_pos_from_lon_lat();
extern void      cbd_lon_lat_from_pos();
extern void      cbd_fatal();

#endif
